#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>

#define NCHAN	16

class clrbox;
class QSocketNotifier;

class Dialog : public QDialog
{
	Q_OBJECT

public:
	Dialog();

private:
	clrbox	*boxes[NCHAN/2][NCHAN/2];
	clrbox	*row[NCHAN/2];
	clrbox	*col[NCHAN/2];

	QSocketNotifier *sn;
	bool is_syncing;
	int fmin[NCHAN];
	int fmax[NCHAN];
	float ch_val[NCHAN];

	int chan;
	int skip;
	int bytecnt;
	unsigned c[3];

public slots:
	void serdata(int fd);
	void handlechar(unsigned ch);
	void update_channel(int c, int f);
	QColor get_color(int x, int y);
};

#endif
